#################################
#
#  $Id: libp.pm,v 1.13 2002/12/23 04:25:13 joko Exp $
#
#  $Log: libp.pm,v $
#  Revision 1.13  2002/12/23 04:25:13  joko
#  + sub bool2status
#
#  Revision 1.12  2002/12/22 14:15:02  joko
#  + sub mkObject
#
#  Revision 1.11  2002/12/19 16:27:17  joko
#  +- renamed 'cmd' to 'run_cmd'
#
#  Revision 1.10  2002/12/19 01:05:35  joko
#  + sub today
#
#  Revision 1.9  2002/12/05 13:54:00  joko
#  + fix: let 'deep_copy' print its message out (instead of die)
#
#  Revision 1.8  2002/12/01 22:11:35  joko
#  + sub cmd
#  + sub run_cmds
#
#  Revision 1.7  2002/11/29 04:44:53  joko
#  - sub array_getRelations
#  + sub getNewPerlObjectByPkgName
#
#  Revision 1.6  2002/11/17 07:18:59  joko
#  + sub deep_copy
#
#  Revision 1.5  2002/10/27 18:34:28  joko
#  + sub now
#
#  Revision 1.4  2002/08/16 19:06:39  cvsjoko
#  + sub getDirList
#
#  Revision 1.3  2002/07/19 18:13:50  cvsjoko
#  no message
#
#  Revision 1.2  2002/06/27 02:14:22  cvsjoko
#  + stripHtml stripSpaces stripNewLines toReal
#
#  Revision 1.1  2002/06/24 14:49:59  cvsjoko
#  + new
#
#
#################################

package libp;

use strict;
use warnings;

require Exporter;
our @ISA = qw( Exporter );
our @EXPORT_OK = qw( 
    Dumper
    md5 md5_hex md5_base64
    ParseDate UnixDate
    croak

    array_getDifference
    bool2status
);

use Data::Dumper;
use Digest::MD5 qw(md5 md5_hex md5_base64);

$main::TZ = 'GMT';
use Date::Manip;


use Carp;

########################################





# =============================================


sub bool2status {
  my $bool = shift;
  return ($bool ? 'ok' : 'failed');
}

1;
