##  ------------------------------------------------------------------------
##    $Id: Constants.pm,v 1.1 2003/01/20 16:44:40 joko Exp $
##  ------------------------------------------------------------------------
##    $Log: Constants.pm,v $
##    Revision 1.1  2003/01/20 16:44:40  joko
##    + initial check-in: refactored from code in Torus::Driver::mapi
##
##  ------------------------------------------------------------------------


package Data::Storage::Handler::MAPI::Constants;

use strict;
use warnings;

use mixin::with qw( Data::Storage::Handler::MAPI );


use Data::Dumper;
use Data::Transform::Deep qw( merge );

# get logger instance
my $logger = Log::Dispatch::Config->instance;

sub _init {
  my $self = shift;

  # some values (constants) needed for accessing outlook-folders
  my $constants = {
    olFolderList => 2,
    olFolderDeletedItems => 3,
    olFolderOutbox => 4,
    olFolderSentMail => 5,
    olFolderInbox => 6,
    olFolderCalendar => 9,
    olFolderContacts => 10,
    olFolderJournal => 11,
    olFolderNotes => 12,
    olFolderTasks => 13,
    olFolderDrafts => 16,
  };
  
  $self->{constants} = $constants;

}

1;
